
Contact Form - Bug #2208

Enable contact form button on wrong tab

05 Aug 2013 04:01 - Johnny Tide

Status: Closed Start date: 05 Aug 2013

Priority: Normal Due date: 31 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.1   

Redmine version:  External issue:  

Description

I have a plugin installed that adds an extra tab to admin>>users>>edit page.

The problem is with contact_form/assets/javascripts/contact_jquery.js/function fix_enable_contact_form_position().

Since I have an extra tab with a box tabular section the function is adding the setting there.

 

Is there a way to have it find the last box tabular on the general tab and not the last one in the form?

Related issues:

Related to Contact Form - Bug #2207: Internet Explorer render issue Closed 05 Aug 2013 31 May 2014

Associated revisions

Revision 62 - 31 May 2014 18:51 - Andriy Lesyuk

Fixed "Enabled contact form" (#2207 and #2208)

History

#1 - 05 Aug 2013 05:17 - Johnny Tide

I added an issue at the Redmine site that will allow you and others to add settings to or after the Preferences section in “My account” or

“Users>>Edit”.

#14614

#2 - 05 Aug 2013 19:04 - Johnny Tide

The view hooks I requested in #14614 have been added in r12085.  This will help me in the plugin I am working on and I hope it helps you too.

#3 - 06 Aug 2013 06:05 - Johnny Tide

- File contact_form_redmine_2.4 added
http://www.redmine.org/issues/14614
I wrote a patch against your current trunk for use when Redmine goes to 2.4.  It will use your current code for Redmine versions under 2.4 and the

new view hooks for versions of Redmine greater than or equal to 2.4.

This has fixed my issues with using Contact Form along with Redmine Local Avatars.  Thanks again for your great Redmine contributions!

#4 - 06 Aug 2013 16:43 - Johnny Tide

Just realized I forgot to delete the old part in the patch I posted above.  Also,  the check will not work after they release 3.0.  I will upload a new patch

a little bit later.

#5 - 06 Aug 2013 17:09 - Johnny Tide

- File contact_form_redmine_2.4_fixed added

Here is the corrected version.  I hope this one is correct.

#6 - 27 Sep 2013 11:03 - Andriy Lesyuk

- Target version set to 0.1.1

#7 - 19 Oct 2013 09:02 - Andriy Lesyuk

- Status changed from New to Open

#8 - 31 May 2014 18:52 - Andriy Lesyuk

- Due date set to 31 May 2014

- Status changed from Open to Closed

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 100

Thank you very much, Johnny!
